Skip to main content
GET
Get face detection results

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

face_detection_id
string<uuid>
required

The ID of the face detection to retrieve

Query Parameters

limit
integer

Number of detected faces to return

Required range: 1 <= x <= 100
offset
integer

Offset from the start of the detected faces list

Required range: x >= 0

Response

Face detection results retrieved successfully

face_detection_id
string<uuid>
required

Unique identifier for the face detection job

status
enum<string>
required

Status of the face detection job

Available options:
pending,
processing,
completed,
failed
created_at
number
required

Unix timestamp in milliseconds when the job was created

frame_extraction_id
string<uuid>

ID of the frame extraction used

file_id
string<uuid>

ID of the target file

data
object

Face detection results (only present when status is completed)